ETS 2 ModsETS2 Other Mods

ETS2 – Snowflakes (1.39.x)

Snowflakes for ETS2 v1.38 and higher.
Compatible with Frosty Winter Weather.
Set higher priority than winter weather mod.

Supported game versions: ETS2 – (1.39.x)

Authors: bid

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close